Master CRM - Operational #1592
Youtube Posts Ul
04/29/2021 05:49 PM - Sidra Ghaffar

Status: New Start date:
Priority: Normal Due date:
Assignee: hassaan majeed % Done:

Category: Estimated time:

Target version:

04/29/2021

70%
5.00 hours

Description

History

#1 - 04/29/2021 05:53 PM - hassaan majeed
- Estimated time set to 5.00

#2 - 04/29/2021 06:19 PM - hassaan majeed
- % Done changed from 20 to 30

29-04-2021

Youtube Posts Ul - 50 minutes

#3 - 04/30/2021 05:58 PM - hassaan majeed
- % Done changed from 30 to 70

30-04-2021

Youtube Posts Ul - 2 hours and 20 minutes

05/06/2025

1/1




